Groovy 1.7.0

## groovy.mock.interceptor
Class StrictExpectation

    java.lang.Object
      groovy.mock.interceptor.StrictExpectation

    class StrictExpectation
    extends Object

Expects demanded call cardinalities to match demanded ranges in the sequence of recording.

see:
  LooseExpectation

author:
  Dierk Koenig

Property Summary
`int` | `fCallSpecIdx`
`List` | `fCalls`
`Demand` | `fDemand`

Constructor Summary
`StrictExpectation(Demand demand)`

Method Summary
`Closure` | `match(String name)` Match the requested method name against eligible demands.
`void` | `verify()` verify all calls are in expected range

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### fCallSpecIdx

    int fCallSpecIdx

### fCalls

    List fCalls

### fDemand

    Demand fDemand

Constructor Detail

### StrictExpectation

    public StrictExpectation(Demand demand)

Method Detail

### match

    Closure match(String name)

  Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match.

### verify

    void verify()

  verify all calls are in expected range

Copyright © 2003-2009 The Codehaus. All rights reserved.